# asm(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

asm, s - Assembler File

## EXTENSIONS

.s - Platform specific assembler file.
.asm - Platform specific assembler file.

## DESCRIPTION

The standard assembler file extensions .s and .asm are by default not bound to any hook functions as they are platform specific. The user should define a default binding for the assembler file types as appropriate to the current platform and assembler development. i.e. for the Windows environment the x86(9) file type would be conditionally bound to the file e.g.

    !if &seq $platform "win32"
        add-file-hook ".s .asm"             fhook-asmx86
    !endif

## SEE ALSO

x86(9).
File Hooks, Supported File Types.

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>